-- raise_mgr_pay1.sql

CREATE OR REPLACE PROCEDURE raise_mgr_pay AS
BEGIN
  FOR s IN 1..7 LOOP
    UPDATE employee
       SET pay_amount = pay_amount * 1.2
     WHERE id = (SELECT manager_id FROM store 
                  WHERE store_number = s);
  END LOOP;
END;
/
